package com.isquare.kite.exthw;

public class ScrollPHATHD {

	static {
		System.loadLibrary("phatgfx");
	}

	public static native boolean init();
	public static native void deinit();

	public static void flip() {show(-1);}
	public static native void show(int page);
	public static native void animate(int delaySteps);
	public static native void picture_mode();
	public static native void set_fb_size(int w, int h);
	public static native int get_fb_width();
	public static native int get_fb_height();

	public static native void scroll(int x, int y);
	public static native void scroll_to(int x, int y);
	public static native void wrap(boolean x_wrap, boolean y_wrap);

	public static native void set_pixel(int x, int y, float brightness);
	public static native void fill(float brightness, int x, int y, int w, int h);
	public static native void clear();
	public static native void draw_char(int x, int y, char ch, float brightness, boolean reverse_video);
	public static native void draw_string(String msg, int x, int y, float brightness, boolean horizontal, boolean reverse_video);
};
