#!/usr/bin/env python

import scrollphathd
from scrollphathd.fonts import font3x5

print("""
Scroll pHAT HD: Name Badge
""")

#Rotate text into orientation
scrollphathd.rotate(180)

#Set a more eye-friendly default brightness
scrollphathd.set_brightness(0.5)

name = 'Shree Kumar  -'
scrollphathd.write_string(name, x=0, y=1, font=font3x5, brightness=0.5)

# Draw the animation frames
for i in range(8):
    scrollphathd.show(i)
    scrollphathd.scroll(4)

# Start the animation - and ensure it stays even after we exit!
scrollphathd.play_animation(50)
scrollphathd.set_clear_on_exit(False)
