#include "java/com_isquare_kite_exthw_ScrollPHATHD.h"
#include "lcdgfx.h"


JNIEXPORT jboolean JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_init
  (JNIEnv *env, jclass cls) {
	lcd_init();
	return true;
}

JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_deinit
  (JNIEnv *env, jclass cls) {
	lcd_deinit();
}

JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_show
  (JNIEnv *env, jclass cls, jint page) {
	lcd_show(page);
}

JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_animate
  (JNIEnv *env, jclass cls, jint delaySteps) {
	lcd_animate(delaySteps);
}
JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_picture_1mode
  (JNIEnv *env, jclass cls) {
	lcd_picture_mode();
}

JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_set_1fb_1size
  (JNIEnv *env, jclass cls, jint w, jint h) {
	lcd_set_size(w, h);
}

JNIEXPORT jint JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_get_1fb_1width
  (JNIEnv *env, jclass cls) {
	return lcd_get_fb_width();
}

JNIEXPORT jint JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_get_1fb_1height
  (JNIEnv *env, jclass cls) {
	return lcd_get_fb_height();
}

JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_scroll
  (JNIEnv *env, jclass cls, jint x, jint y) {
	lcd_scroll(x,y);
}

JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_scroll_1to
  (JNIEnv *env, jclass cls, jint x, jint y) {
	lcd_scroll_to(x,y);
}

JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_wrap
  (JNIEnv *env, jclass cls, jboolean x_wrap, jboolean y_wrap) {
	lcd_wrap(x_wrap, y_wrap);
}

JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_set_1pixel
  (JNIEnv *env, jclass cls, jint x, jint y, jfloat brightness) {
	lcd_set_pixel(x,y, brightness);
}

JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_fill
  (JNIEnv *env, jclass cls, jfloat brightness, jint x, jint y, jint w, jint h) {
	lcd_fill(brightness, x, y, w, h);
}

JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_clear
  (JNIEnv *env, jclass cls) {
	lcd_clear();
}

JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_draw_1char
  (JNIEnv *env, jclass cls, jint x, jint y, jchar ch, jfloat brightness, jboolean reverse_video) {
	lcd_draw_char(x,y,ch,brightness,reverse_video);
}

JNIEXPORT void JNICALL Java_com_isquare_kite_exthw_ScrollPHATHD_draw_1string
  (JNIEnv *env, jclass cls, jstring str, jint x, jint y, jfloat brightness, jboolean horizontal, jboolean reverse_video) {
	const char*msg = env->GetStringUTFChars(str, NULL);
	lcd_draw_string(msg, x, y, brightness, horizontal, reverse_video);
	env->ReleaseStringUTFChars(str, msg);
}
