#ifndef __SCROLL_PHAT_HD_INCLUDED__
#define __SCROLL_PHAT_HD_INCLUDED__

// A simple low level interface to Pimoroni's Scroll pHAT HD
// Provides the simplest low level abstraction possible
int phat_hd_open();
int phat_hd_clear();
int phat_hd_draw(void *buffer, int page=-1);
int phat_hd_close();
void phat_hd_animation_mode(int delaySteps); // each delay step is 11 ms
void phat_hd_picture_mode();
#endif

